## python-mechanize 0.4.5

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = mechanize
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-mechanize 0.1.11-1.1maemo1

=== debian/changelog ===
python-mechanize (0.1.11-1.1maemo1) unstable; urgency=low

  * Added pymaemo-optify to Depends

 -- Bjoern Olausson <maemo@olausson.de>  Thu, 21 Jan 2010 17:01:17 +0100

python-mechanize (0.1.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Be less selective when renaming *.egg-info files (closes: #552912).

 -- Jakub Wilk <ubanus@users.sf.net>  Mon, 21 Dec 2009 20:35:08 +0100

python-mechanize (0.1.11-1) unstable; urgency=low

  * New upstream release, uploaded to unstable.
    - Closes: #518945.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Sep 2009 00:14:06 +0200

python-mechanize (0.1.11-0ubuntu1) jaunty; urgency=low

  [ Ken VanDine ]
  * New upstream release (LP: #337918)
    - Fix quadratic performance in number of .read() calls (and add an
      automated performance test).
    - Add support for Python 2.6: Raise URLError on file: URL errors,
      not IOError (port of upstream urllib2 fix).  Add support for
      Python 2.6's per-connection timeouts: Add timeout arguments to
      urlopen(), Request constructor, .open(), and .open_novisit().
    - Drop support for Python 2.3
    - Add Content-length header to Request object (httplib bug that
      prevented doing that was fixed in Python 2.4).  There's no
      change is what is actually sent over the wire here, just in what
      headers get added to the Request object.
    - Fix AttributeError on .retrieve() with a Request (as opposed to
      URL string) argument
    - Don't change CookieJar state in .make_cookies().
    - Fix AttributeError in case where .make_cookies() or
      .cookies_for_request() is called before other methods like
      .extract_cookies() or .make_cookie_header()
    - Fixes affecting version cookie-attribute
      (http://bugs.python.org/issue3924).
    - Silence module logging's "no handlers could be found for logger
      mechanize" warning in a way that doesn't clobber attempts to set
      log level sometimes
    - Don't use private attribute of request in request upgrade
      handler (what was I thinking??)
    - Don't call setup() on import of setup.py
    - Add new public function effective_request_host
    - Add .get_policy() method to CookieJar
    - Add method CookieJar.cookies_for_request()
    - Fix documented interface required of requests and responses (and
      add some tests for this!)
    - Allow either .is_unverifiable() or .unverifiable on request
      objects (preferring the former)
    - Note that there's a new functional test for digest auth, which
      fails when run against the sourceforge site (which is the 
      default).  It looks like this reflects the fact that digest auth
      has been fairly broken since it was introduced in urllib2.  I
      don't plan to fix this myself.
    - Fix ImportError if sqlite3 not available
    - Fix a couple of functional tests not to wait 5 seconds each
    - Close sockets.  This only affects Python 2.5 (and later) -
      earlier versions of Python were unaffected.  See
      http://bugs.python.org/issue1627441
    - Make title parsing follow Firefox behaviour wrt child
      elements (previously the behaviour differed between Factory and
      RobustFactory).
    - Fix BeautifulSoup RobustLinksFactory (hence RobustFactory) link
      text parsing for case of link text containing tags (Titus Brown)
    - Fix issue where more tags after <title> caused default parser to
      raise an exception
    - Handle missing cookie max-age value.  Previously, a warning was
      emitted in this case.
    - Fix thoroughly broken digest auth (still need functional
      test!) (trebor74hr@...)
    - Handle cookies containing embedded tabs in mozilla format files
    - Remove an assertion about mozilla format cookies file
      contents (raise LoadError instead)
    - Fix MechanizeRobotFileParser.set_opener()
    - Fix selection of global form using .select_form() (Titus Brown)
    - Log skipped Refreshes
    - Stop tests from clobbering files that happen to be lying around
      in cwd (!)
    - Use SO_REUSEADDR for local test server.
    - Raise exception if local test server fails to start.
    - Tests no longer (accidentally) depend on third-party coverage
      module
    - Add convenience method Browser.open_local_file(filename)
    - Add experimental support for Firefox 3 cookie jars
      ("cookies.sqlite").  Requires Python 2.5
    - Fix a _gzip.py NameError (gzip support is experimental)
  * debian/patches/drop-Gopher.dpatch:
      * removed, fixed upstream

  [ Martin Pitt ]
  * debian/control: Fix XS-Python-Version to only build for Python >= 2.5.

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 09 Mar 2009 16:34:31 -0400

python-mechanize (0.1.7b-3ubuntu1) jaunty; urgency=low

  * Add drop-Gopher.dpatch: Drop GopherError and GopherHandler, since
    Python 2.6's version does not define that any more. (LP: #336225)
  * debian/rules: Use glob instead of hardcoded site-packages/, python2.6 uses
    dist-packages now.
  * debian/rules: Supply --install-layout=deb.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 01 Mar 2009 18:17:43 +0100

python-mechanize (0.1.7b-3) unstable; urgency=low

  * Rebuild to move files into /usr/share/pyshared. Closes: #490495.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Jul 2008 13:33:14 +0200

python-mechanize (0.1.7b-2) unstable; urgency=low

  * debian/patches/mechanize_seek.dpatch: applied a patch from the twill
    maintainer to add file.seek(0)  because ``file'' position may not be at
    the beginning; thanks Arnaud Fontaine. (Closes: #456944)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 18 Dec 2007 19:15:17 +0100

python-mechanize (0.1.7b-1) unstable; urgency=low

  * New upstream release. (Closes: #446523)
  * Ship functional tests in examples. (Closes: #449551)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 18 Dec 2007 14:23:11 +0100

python-mechanize (0.1.6b-1) unstable; urgency=low

  * New upstream release. (Closes: #418457)


=== debian/control ===
Source: python-mechanize
Section: python
Priority: extra
Maintainer: Bjoern Olausson <maemo@olausson.de>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <jinty@web.de>, Fabio Tranchitella <kobold@debian.org>, Jérémy Bobbio <lunar@debian.org>, Matthias Klose <doko@ubuntu.com>
Build-Depends-Indep: python-all-dev (>= 2.3.5-9), python-central (>= 0.5)
Build-Depends: debhelper (>= 5.0.37.2), python-setuptools (>= 0.6b3), dpatch
Standards-Version: 3.8.3
XS-Python-Version: >= 2.5
XS-Vcs-Svn: svn://svn.debian.org/pkg-zope/python-mechanize/trunk

Package: python-mechanize
Architecture: all
Depends: ${python:Depends}, python-clientform (>= 0.2.6), pymaemo-optify
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Conflicts: python2.3-mechanize (<< 0.0.11a-3), python2.4-mechanize (<< 0.0.11a-3)
Replaces: python2.3-mechanize (<< 0.0.11a-3), python2.4-mechanize (<< 0.0.11a-3)
Description: stateful programmatic web browsing
 A library for browsing the web in Python. Mechanize acts like a browser
 allowing you to do web scraping, functional testing of web sites and
 things no one has thought of yet.
 .
 Among other things, mechanize:
  * Follows links
  * Fills in HTML forms
  * Automatically observes robots.txt
  * Has a browser history
 .
 It was modelled after the Perl module WWW::Mechanize.
 .
 Homepage: http://wwwsearch.sourceforge.net/mechanize/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr debian/control)
PYMOD=mechanize
PACKAGE=python-$(PYMOD)

include /usr/share/dpatch/dpatch.make

.PHONY: patch-stamp
build: patch-stamp $(PYVERS:%=build-python%)
	touch $@
build-python%:
	dh_testdir
	python$* setup.py build
	touch $@

.PHONY: clean unpatch
clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-python?.?
	rm -rf build
	$(MAKE) -f debian/rules $(PYVERS:%=clean-python%)
	find -name '*.pyc' -exec rm {} \;
	dh_clean

clean-python%:
	python$* setup.py clean

.PHONY: install
install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -f debian/rules $(PYVERS:%=install-python%)

install-python%:
	python$* setup.py install --no-compile --install-layout=deb --single-version-externally-managed --root=debian/$(PACKAGE)
	# Remove python and module version from .egg-info
	echo python:Provides=$(foreach pv,$(shell pyversions -s),$(pv)-mechanize)|sed 's/ /, /g' >> debian/python-mechanize.substvars
	(cd debian/$(PACKAGE)/usr/lib/python$*/*-packages/; \
		mv $(PYMOD)-*.egg-info $(PYMOD).egg-info)

.PHONY: binary-common
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pycentral
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: binary-indep
binary-indep: install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

.PHONY: binary-arch
binary-arch: install
	# no binary-arch packages to build

.PHONY: binary
binary: binary-indep binary-arch

## python-mechanize 0.1.11-1.1maemo2

=== debian/changelog ===
python-mechanize (0.1.11-1.1maemo2) unstable; urgency=low

  * Fix python interpreter name, to avoid using Scratchbox's python

 -- Bjoern Olausson <maemo@olausson.de>  Fri, 22 Jan 2010 11:00:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-mechanize
-Section: python
+Section: user/development
 Priority: extra
 Maintainer: Bjoern Olausson <maemo@olausson.de>
 XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,14 @@
 	(cd debian/$(PACKAGE)/usr/lib/python$*/*-packages/; \
 		mv $(PYMOD)-*.egg-info $(PYMOD).egg-info)
 
+# Fix python interpreter name, to avoid using Scratchbox's python
+	for f in `find debian/$(PACKAGE) -type f`; do \
+		sed "1s,#\!.*python[^ ]*\(.*\),#\!/usr/bin/env $(PYTHON)\1," $$f > $$f.tmp; \
+		cat $$f.tmp > $$f; \
+		rm $$f.tmp; \
+	done
+
+
 .PHONY: binary-common
 binary-common:
 	dh_testdir

## python-mechanize 0.2.5

=== debian/changelog ===
python-mechanize (1:0.2.5-3) unstable; urgency=low

  * debian/control:
    + Depend on python-mechanize >= 0.2.0 for python-clientform to make
      sure that the former is upgraded even when only the latter is upgraded.
      Closes: #684616.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 27 Aug 2012 15:18:27 +0900

python-mechanize (1:0.2.5-2) unstable; urgency=low

  * Following the merge of ClientForm into mechanize, add a transitional
    dummy package to replace python-clientform.
    + Add debian/NEWS for updating source code based on ClientForm.
    + Add epoch as deprecated version of clientform is greater than mechanize.
  * debian/control:
    + Bump Standards-Version to 3.9.3.
      - debian/copyright: Update Format URL following DEP-5 release.
    + Add Vcs-Browser field.
  * Add debian/source/options to ignore changes in *.egg-info directory
    otherwise building twice fails.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 13 Mar 2012 10:19:55 +0900

python-mechanize (0.2.5-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * Convert debian/changelog to DEP5 format and add missing licenses.
  * Wrap Build-Depends and Uploaders control fields.
  * Add myself as Uploaders.

  [ Brian Sutherland ]
  * New upstream release (Closes: #595928,#465206)
  * Fix watch file to point at pypi
  * Change e-mail address to brian@vanguardistas.net.
  * Use Homepage header to point to mechanize homepage rather than including
    it in the long description. Closes: #615362
  * Remove dependency on python-clientform, it's included in mechanize now and
    deprecated as an external project.
  * Switch to dpkg-source 3.0 (quilt) format from dpatch.
  * Convert from python-central to debhelper 7 and dh_python2 (Closes: #617013)
  * Add debian/tests

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 05 Sep 2011 12:28:25 +0900

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-all, python-twisted-web2, python-zope.interface

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/m/mechanize/mechanize-(.*).tar.gz

## python-mechanize 0.4.5

=== debian/changelog ===
python-mechanize (1:0.4.5-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937911

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jan 2020 19:35:41 -0500

python-mechanize (1:0.4.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Norbert Preining ]
  * New upstream version 0.4.5
  * d/control: remove python(3)-pkgconfig, not necessary

 -- Norbert Preining <norbert@preining.info>  Mon, 06 Jan 2020 09:26:16 +0900

python-mechanize (1:0.4.3-2) unstable; urgency=medium

  * Remove -dev from B-D, thanks to Scott Kitterman
  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 03 Sep 2019 07:41:58 +0900

python-mechanize (1:0.4.3-1) experimental; urgency=medium

  * Take over maintainership into Debian Python Modules Team
    Thanks to the former maintainers for their work!
  * New upstream releases (Closes: #912632, #555349)
  * Add python3 module (Closes: #912014)
  * Drop Brian from Uploaders list, thanks for your work (Closes: #869439)
  * Drop transitional package python-clientform (Closes: #878782)
  * Bump standards version to 4.4.0, no changes necessary
  * Switch to debhelper compat version 12
  * Update d/copyright, install docs and examples in both packages
    (temporarily)
  * Build html/man documentation from rst with sphinx

 -- Norbert Preining <norbert@preining.info>  Tue, 03 Sep 2019 00:56:15 +0900

=== debian/control ===
Source: python-mechanize
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-docutils,
               python3-sphinx,
               python3-html5lib,
               python3-setuptools,
               python3-twisted
Standards-Version: 4.4.1
Homepage: https://github.com/python-mechanize/mechanize
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mechanize
Vcs-Git: https://salsa.debian.org/python-team/modules/python-mechanize.git

Package: python3-mechanize
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
  python3-html5lib
Provides: ${python3:Provides}
Description: stateful programmatic web browsing
 A library for browsing the web in Python. Mechanize acts like a browser
 allowing you to do web scraping, functional testing of web sites and
 things no one has thought of yet.
 .
 Among other things, mechanize:
  * Follows links
  * Fills in HTML forms
  * Automatically observes robots.txt
  * Has a browser history
 .
 It was modelled after the Perl module WWW::Mechanize.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = mechanize

#export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=
override_dh_auto_build: export https_proxy=
override_dh_auto_build: export no_proxy=
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

override_dh_auto_test-indep:
	# several points here:
	# - pybuild sets proxy server which breaks locally started server, disable it
	# - we need to explicitly change to the build dir, otherwise the test
	#   uses the main files
	# Thanks to Dmitry Shachnev for finding all that!
	http_proxy= no_proxy= dh_auto_test -- --system custom --test-args "cd {build_dir}; {interpreter} run_tests.py"

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mechanize-$1\.tar\.gz/ \
  https://github.com/python-mechanize/mechanize/tags .*/v?(\d\S+)\.tar\.gz

## python-mechanize 0.4.7

=== debian/changelog ===
python-mechanize (1:0.4.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Norbert Preining ]
  * New upstream version 0.4.7 (Closes: #1002327)

 -- Norbert Preining <norbert@preining.info>  Thu, 30 Dec 2021 22:52:28 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-mechanize
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-docutils,
@@ -11,10 +11,10 @@
                python3-html5lib,
                python3-setuptools,
                python3-twisted
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/python-mechanize/mechanize
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mechanize
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-mechanize.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mechanize
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-mechanize.git
 
 Package: python3-mechanize
 Architecture: all

## python-mechanize 0.4.8+pypi

=== debian/changelog ===
python-mechanize (1:0.4.8+pypi-5) unstable; urgency=medium

  * Upgrade Debian standards
  * Rediff patches
    Import upstream code fix to build on Python 3.11
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 19 Dec 2022 01:20:00 +0900

python-mechanize (1:0.4.8+pypi-4) unstable; urgency=medium

  * Lintian fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 10 Aug 2022 00:25:49 +0900

python-mechanize (1:0.4.8+pypi-3) unstable; urgency=medium

  * Upgrade Debian standards
  * Fix homepage URL (Closes: #1010833)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 14 May 2022 10:00:56 +0900

python-mechanize (1:0.4.8+pypi-2) unstable; urgency=medium

  * Add temporary versioning hack for watch file
  * Use PyPI as upstream homepage

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 05 May 2022 23:43:32 +0900

python-mechanize (1:0.4.8+pypi-1) unstable; urgency=medium

  * Use pypi.debian.net to obtain upstream code
  * Add upstream signing PGP key
  * New upstream version 0.4.8+pypi
  * Rediff patches
  * Drop document
  * Add documents
  * Use PyPI as upstream
  * Sort lines
  * Fix warning

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 05 May 2022 00:06:35 +0900

python-mechanize (1:0.4.8-2) unstable; urgency=medium

  * Add installation package name to install codes

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 17 Apr 2022 04:30:26 +0900

python-mechanize (1:0.4.8-1) unstable; urgency=medium

  * No needs root access
  * Use Python 3
  * New upstream version 0.4.8

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 16 Apr 2022 19:50:54 +0900

python-mechanize (1:0.4.7-2) unstable; urgency=medium

  * Update Debian standards version
  * Use pristine-tar by default
  * Add ignore list
  * Add myself as uploader
  * Remove unused line

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 03 Mar 2022 21:46:44 +0900

=== debian/control ===
Source: python-mechanize
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           YOKOTA Hiroshi <yokota.hgml@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-docutils,
               python3-html5lib,
               python3-setuptools,
               python3-twisted
Standards-Version: 4.6.2
Homepage: https://github.com/python-mechanize/mechanize
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mechanize
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mechanize.git
Rules-Requires-Root: no

Package: python3-mechanize
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
  python3-html5lib
Description: stateful programmatic web browsing
 A library for browsing the web in Python. Mechanize acts like a browser
 allowing you to do web scraping, functional testing of web sites and
 things no one has thought of yet.
 .
 Among other things, mechanize:
  * Follows links
  * Fills in HTML forms
  * Automatically observes robots.txt
  * Has a browser history
 .
 It was modelled after the Perl module WWW::Mechanize.

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,13 @@
 #export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=
 override_dh_auto_build: export https_proxy=
 override_dh_auto_build: export no_proxy=
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
-	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator
 
 override_dh_auto_test-indep:
 	# several points here:

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/, \
      dversionmangle=s/\+pypi$//" \
https://pypi.debian.net/mechanize/mechanize-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mechanize 0.4.9+ds

=== debian/changelog ===
python-mechanize (1:0.4.9+ds-2) unstable; urgency=medium

  * Lintian fix: Drop PGP verification key

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 14 Nov 2023 21:40:00 +0900

python-mechanize (1:0.4.9+ds-1) unstable; urgency=medium

  * PyPI drops PGP support
  * Drop generated files from upstream source
  * New upstream version 0.4.9+ds
  * Rediff patches
  * Renumber patches
  * Drop unused docutils module from Build-Depends

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 09 Nov 2023 16:42:36 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-docutils,
                python3-html5lib,
                python3-setuptools,
                python3-twisted

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/, \
      dversionmangle=s/\+ds//, \
      oversionmangle=s/$/+ds/" \
https://pypi.debian.net/mechanize/mechanize-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mechanize 0.4.10%2Bds

=== debian/changelog ===
python-mechanize (1:0.4.10+ds-4) unstable; urgency=medium

  * Team upload.
  * Fix CookieTests following fix for CPython #130631 (closes: #1106440).

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 May 2025 13:08:17 +0100

python-mechanize (1:0.4.10+ds-3) unstable; urgency=medium

  * Upgrade Debian policy to 4.7.2

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 02 Mar 2025 10:06:55 +0900

python-mechanize (1:0.4.10+ds-2) unstable; urgency=medium

  * Upgrade Debian policy standards to 4.7.1

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 23 Feb 2025 13:09:59 +0900

python-mechanize (1:0.4.10+ds-1) unstable; urgency=medium

  * Upgrade Python build sequencer
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove duplicated license file
  * Add copyright text for Debian files
  * Add unit test to autopkgtest

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 29 Apr 2024 22:01:00 +0900

## python-mechanize 0.4.10+ds

=== debian/changelog ===
python-mechanize (1:0.4.10+ds-6) unstable; urgency=medium

  * Drop Emacs mode line from debian/watch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 30 Sep 2025 14:05:55 +0900

python-mechanize (1:0.4.10+ds-5) unstable; urgency=medium

  * Renumber patches
  * Use V5 format for watch file
  * Use local configuration file for salsa CI

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Aug 2025 18:02:25 +0900

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=
 override_dh_auto_build: export https_proxy=

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/mechanize/
Matching-Pattern: mechanize-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Uversion-Mangle: s/(rc|a|b|c)/~$1/
Dversion-Mangle: s/\+ds//
Oversion-Mangle: s/$/+ds/
